package com.cardiff.client_project.controller.admin;

import com.cardiff.client_project.pojo.dto.SelectDTO;
import com.cardiff.client_project.pojo.dto.SignUserDTO;
import com.cardiff.client_project.service.HospitalAdminService;
import com.cardiff.client_project.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/hospitalAdmin")
public class HospitalAdminController {

    @Autowired
    private HospitalAdminService hospitalAdminService;



    /**
     * fuzzy query
     * @param
     * @return
     */
    @PostMapping("/select")
    public Result selectByItem(@RequestBody SelectDTO selectDTO){
        System.out.println(selectDTO);
        Result result = hospitalAdminService.selectByItem(selectDTO);
        return result;
    }


}
