package com.cardiff.client_project.controller.hospital;

import com.cardiff.client_project.pojo.entity.Hospital;
import com.cardiff.client_project.service.HospitalService;
import com.cardiff.client_project.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/hospital")
public class HospitalController {

    @Autowired
    private HospitalService hospitalService;

    /**
     * select all
     *
     * @return
     */
    @PostMapping("/selectAll")
    public Result SelectAll() {
        Result result = hospitalService.selectAllHospital();
        return result;
    }


    /**
     * fuzzy query
     *
     * @param
     * @return
     */
    @PostMapping("/select")
    public Result selectByItem(@RequestBody Hospital hospital) {
        System.out.println(hospital);
        Result result = hospitalService.selectByItem(hospital);
        return result;
    }
}
